org.apache.solr.cloud

## Class MockZkStateReader

- java.lang.Object
- - org.apache.solr.common.cloud.ZkStateReader
  - - org.apache.solr.cloud.MockZkStateReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class MockZkStateReader
      extends org.apache.solr.common.cloud.ZkStateReader

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.common.cloud.ZkStateReader

      `org.apache.solr.common.cloud.ZkStateReader.ConfigData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.common.cloud.ZkStateReader

      `ALIASES, AUTO_ADD_REPLICAS, BASE_URL_PROP, CLUSTER_PROPS, CLUSTER_STATE, clusterState, COLLECTION_PROP, COLLECTIONS_ZKNODE, CONFIGNAME_PROP, CONFIGS_ZKNODE, CORE_NAME_PROP, CORE_NODE_NAME_PROP, ELECTION_NODE, ELECTION_NODE_PROP, KNOWN_CLUSTER_PROPS, LEADER_ELECT_ZKNODE, LEADER_PROP, LEGACY_CLOUD, LIVE_NODES_ZKNODE, MAX_AT_ONCE_PROP, MAX_CORES_PER_NODE, MAX_SHARDS_PER_NODE, MAX_WAIT_SECONDS_PROP, NODE_NAME_PROP, NUM_SHARDS_PROP, PROPERTY_PROP, PROPERTY_VALUE_PROP, REJOIN_AT_HEAD_PROP, REPLICA_PROP, REPLICATION_FACTOR, ROLES, ROLES_PROP, SHARD_ID_PROP, SHARD_LEADERS_ZKNODE, SHARD_PARENT_PROP, SHARD_RANGE_PROP, SHARD_STATE_PROP, SOLR_SECURITY_CONF_PATH, STATE_PROP, URL_SCHEME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockZkStateReader(org.apache.solr.common.cloud.ClusterState clusterState, Set<String> collections)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getAllCollections()`

    - ### Methods inherited from class org.apache.solr.common.cloud.ZkStateReader

      `close, compareStateVersions, createClusterStateWatchersAndUpdate, forceUpdateCollection, getAliases, getBaseUrlForNodeName, getClusterProperties, getClusterProperty, getClusterState, getCollectionLive, getCollectionPath, getCollectionPathRoot, getConfigManager, getLeader, getLeaderRetry, getLeaderRetry, getLeaderUrl, getReplicaProps, getReplicaProps, getReplicaProps, getSecurityProps, getShardLeadersElectPath, getShardLeadersPath, getUpdateLock, getZkClient, readConfigName, registerCollectionStateWatcher, registerCore, removeCollectionStateWatcher, unregisterCore, updateAliases, updateClusterState, updateLiveNodes, waitForState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockZkStateReader

          public MockZkStateReader(org.apache.solr.common.cloud.ClusterState clusterState,
                                   Set<String> collections)

  - ### Method Detail

    - #### getAllCollections

          public Set<String> getAllCollections()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.